Bug 202552 - gnome-gdmsetup.desktop has wrong icon listed
gnome-gdmsetup.desktop has wrong icon listed
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
i386 Linux
medium Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-08-14 22:17 EDT by Jeff Krebs
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-15 16:11:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Jeff Krebs 2006-08-14 22:17:18 EDT
Description of problem:
gnome-gdmsetup.desktop has wrong image listed.  The image is listed as gdm.xpm.
there is no gdm.xpm, rather the included icon is gdm.png.  The image will not
display when called by the .desktop entry.
Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info: Not a show-stopper; just not correct.  The data in
gnome-gdmsetup.desktop should be updated to gdm.png
Comment 1 Ray Strode [halfline] 2006-08-15 12:18:18 EDT
called from where?  I think only the basename of the icon is relevant when
loading icons from the icon spec.
Comment 2 Jeff Krebs 2006-08-15 15:56:43 EDT
Called from AfterStep CVS (of all places).  For the menu structure
in AS, AS looks at the .desktop entries located in /usr/share/applications.
It pulls-in "Name", "Icon", "Exec", and "Category" from the .desktop files.

Of the 49 .desktop entries I have in that folder (excluding Hidden,NoDisplay,
and OnlyShowIn), gnome-gdmsetup.desktop is the only one that doesn't display
in AS menus.

If I change the entry to read "Icon=gdm", it displays fine.  In this instance
the actual image could be gdm.png or gdm.xpm.  Having the current
"Icon=gdm.xpm", AS currently isn't truncating the file extension.  Perhaps
that needs to be addressed.

I don't run GNOME or KDE, and if both are pulling-in the data correctly, then
it's an issue with AfterStep to be addressed.
Comment 3 Ray Strode [halfline] 2006-08-15 16:11:35 EDT
Yea, i'm pretty sure the spec says to ignore the extension if it's not an
absolute path (although I would have to look to be sure).  I know that gnome
only looks at the basename without the extension.

Nevertheless, it's less than intuitive that Icon=gdm.xpm would mean load
gdm.png.  Can you file an upstream GDM bug report asking them to drop the extension?

I'd file a bug with AfterStep, too, to make their icon loading code more compatible.

If you do file the bugs, can you mention the bug urls on this report?


Note You need to log in before you can comment on or make changes to this bug.